package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UseProfileOswOpenApiVO
 */
@ApiModel(description = "UseProfileOswOpenApiVO")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class UseProfileOswOpenApiVo   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("ip")
  private String ip;

  public UseProfileOswOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Switch name
   * @return name
  */
  @ApiModelProperty(value = "Switch name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public UseProfileOswOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Switch MAC address, like AA-BB-CC-DD-EE-FF
   * @return mac
  */
  @ApiModelProperty(value = "Switch MAC address, like AA-BB-CC-DD-EE-FF")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public UseProfileOswOpenApiVo model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model
   * @return model
  */
  @ApiModelProperty(value = "Device model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public UseProfileOswOpenApiVo modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public UseProfileOswOpenApiVo ip(String ip) {
    this.ip = ip;
    return this;
  }

  /**
   * Device IP address
   * @return ip
  */
  @ApiModelProperty(value = "Device IP address")


  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UseProfileOswOpenApiVo useProfileOswOpenApiVo = (UseProfileOswOpenApiVo) o;
    return Objects.equals(this.name, useProfileOswOpenApiVo.name) &&
        Objects.equals(this.mac, useProfileOswOpenApiVo.mac) &&
        Objects.equals(this.model, useProfileOswOpenApiVo.model) &&
        Objects.equals(this.modelVersion, useProfileOswOpenApiVo.modelVersion) &&
        Objects.equals(this.ip, useProfileOswOpenApiVo.ip);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, model, modelVersion, ip);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UseProfileOswOpenApiVo {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    ip: ").append(toIndentedString(ip)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

